package org.lunamc.letthemeatcake;

import com.grinderwolf.swm.api.SlimePlugin;
import com.grinderwolf.swm.api.exceptions.CorruptedWorldException;
import com.grinderwolf.swm.api.exceptions.NewerFormatException;
import com.grinderwolf.swm.api.exceptions.UnknownWorldException;
import com.grinderwolf.swm.api.exceptions.WorldInUseException;
import com.grinderwolf.swm.api.loaders.SlimeLoader;
import com.grinderwolf.swm.api.world.SlimeWorld;
import com.grinderwolf.swm.api.world.properties.SlimeProperties;
import com.grinderwolf.swm.api.world.properties.SlimePropertyMap;
import org.bukkit.Bukkit;
import org.bukkit.plugin.java.JavaPlugin;

import java.io.IOException;

public final class LetThemEatCake extends JavaPlugin {
    private SlimePropertyMap properties;
    private SlimePlugin swm;
    private SlimeLoader swmLoader;
    private SlimeWorld swmWorld;

    @Override
    public void onEnable() {

    }

    @Override
    public void onDisable() {
        // Unload swm worlds
    }

    private void loadSWM() {
        properties = new SlimePropertyMap();
        properties.setValue(SlimeProperties.SPAWN_X, 0);
        properties.setValue(SlimeProperties.SPAWN_Y, 0);
        properties.setValue(SlimeProperties.SPAWN_Z, 0);

        swm = (SlimePlugin) Bukkit.getPluginManager().getPlugin("SlimeWorldManager");
        swmLoader = swm.getLoader("file");
        try {
            swmWorld = swm.loadWorld(swmLoader, "map", true, properties);
            swm.generateWorld(swmWorld);
        } catch (UnknownWorldException | IOException | CorruptedWorldException | NewerFormatException | WorldInUseException e) {
            e.printStackTrace();
        }
    }
}
