package org.lunamc.letthemeatcake;

import org.bukkit.entity.Player;

public class PointsManager {
    private int playerSize;
    private Player[] players;
    private int[] points;

    public PointsManager(int playerSize) {
        this.playerSize = playerSize;
        players = new Player[playerSize];
        points = new int[playerSize];
    }

    public Player[] getPlayers() {
        return players;
    }

    public int getPlayerNumber(Player player) {
        for (int i = 0; i < players.length; i++) {
            if (players[i].equals(player)) {
                return i;
            }
        }
        return -1;
    }

    public Player getPlayerByNumber(int player) {
        if (player < 0 || player > playerSize) {
            return null;
        }
        return players[player];
    }

    /**
     * If player does not exist, returns -1;
     * @param player player to get points from
     * @return int value of points
     */
    public int getPlayerPoints(int player) {
        if (player < 0 || player > playerSize) {
            return -1;
        }
        return points[player];
    }

    /**
     * Use {@link org.lunamc.letthemeatcake.PointsManager#getPlayerPoints(int)} if possible for performance reasons.<br>
     * If player does not exist, returns -1;
     * @param player player to get points from
     * @return int value of points
     */
    public int getPlayerPoints(Player player) {
        for (int i = 0; i < players.length; i++) {
            if (players[i].equals(player)) {
                return points[i];
            }
        }
        return -1;
    }

}
